Subject: bug#1261: 23.0.60; diary-insert-entry and mouse-autoselect-window

From: Stephen Berman <[email-masked]>
Date: Tue, 04 Nov 2008 21:41:19 +0100

On Tue, 04 Nov 2008 13:51:27 -0500 Glenn Morris <[email-masked]> wrote:

> martin rudalics wrote:
>
>> Would it help to check popup_activated, like
>>
>>                 if (WINDOWP (window)
>> 		    && !popup_activated ()
>> 		    && !EQ (window, last_window)
>> 		    && !EQ (window, selected_window)
>>
>> in handle_one_xevent?
>
> Not exactly like that, but with a tweak it seems to work (see below).
> It feels a bit like covering up the real problem (gtk associating
> popup with funny window), but I have no better solution; and indeed
> one probably does not want to switch windows when popups are active.
>
> I don't use mouse-autoselect-window, so Stephen please could you check
> this works ok?

I applied the patch and confirm that it fixes the problem.

Steve Berman